#include<iostream>
#include<iomanip>
using namespace std;

void sortiranje(double niz[], double niz2[], int pocetak, int kraj)
{
    int i, j;
    double x;
    if(kraj-pocetak == 1)
    {
        if(niz[pocetak]>niz[kraj])
        {
            swap(niz[pocetak], niz[kraj]);
            swap(niz2[pocetak], niz2[kraj]);
        }

    }
    else
    {
        x = niz[(pocetak+kraj)/2];
        i = pocetak;
        j = kraj;
        do
        {
            while(niz[i]<x)
            {
                i++;
            }
            while(niz[j]>x)
            {
                j--;
            }
            if(i<=j)
            {
                swap(niz[i], niz[j]);
                swap(niz2[i], niz2[j]);
                i++;
                j--;
            }

        }
        while(i<=j);
        if(j>pocetak)
        {
            sortiranje(niz, niz2, pocetak, j);
        }
        if(i<kraj)
        {
            sortiranje(niz, niz2, i, kraj);
        }

    }
}
int main()
{
    int n;
    cin >> n;
    double a[n], p[n], maksS=0, suma=0;
    for(int i=0;i<n;i++)
        cin >> a[i] >> p[i];
 //   cout << endl;
   /* for(int i=0;i<n;i++)
        cout << a[i] << " " << p[i] << endl;
    cout << endl;*/
    sortiranje(p, a, 0, n-1);
   /* for(int i=0;i<n;i++)
        cout << a[i] << " " << p[i] << endl;*/
    for(int i=n;i>=0;i--)
    {
        for(int j=n;j>=i;j--)
        {
           // cout << "Za porez: " << p[i] << " racunam" << a[j];
            suma+=a[j];
        }

        suma*=p[i]/100;
        if(suma>maksS)
            maksS = suma;
       // cout << suma << endl;
        suma = 0;
    }
   // cout << endl;
    cout << fixed;
    cout << setprecision(4) << maksS << endl;
    return 0;
}